image: php:8.1

pipelines:
  branches:
    staging:
      - step:
          name: Deploy to NAME
          script:
            - echo "Deploying to staging server"
            - apt-get update && apt-get install -y openssh-client sshpass
            - export SSHPASS="$STAGING_SSH_PASSWORD"
            - sshpass -e ssh -o StrictHostKeyChecking=no $STAGING_SSH_USER@$STAGING_SSH_HOST "cd $STAGING_DOCUMENT_ROOT && sh .deploy/git-update.sh staging && sh .deploy/deploy_staging.sh $STAGING_FOLDER > /tmp/deploy$(date +"%Y-%m-%d_%H:%I:%S").log"
          services:
            - docker